Bug 869556 - RFE: offer to delete broken yaml files
RFE: offer to delete broken yaml files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: alexandria (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 861740
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 04:53 EDT by Patrick C. F. Ernzer
Modified: 2012-11-08 21:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 861740
Environment:
Last Closed: 2012-11-08 21:13:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2012-10-24 04:53:57 EDT
+++ This bug was initially created as a clone of Bug #861740 +++
[...]
--- Additional comment from mtasaka@fedoraproject.org on 2012-10-12 14:21:30 EDT ---

Well, parsing such yaml files beforehand and fixing them (as much as possible) seems rather complicated, so for now I decided to mark such yaml "broken" and let user re-download the information of such books (alexandria does this almost automatically). Will submit -9.

--- Additional comment from updates@fedoraproject.org on 2012-10-12 14:59:18 EDT ---

alexandria-0.6.8-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/alexandria-0.6.8-9.fc17

--- Additional comment from updates@fedoraproject.org on 2012-10-12 14:59:23 EDT ---

alexandria-0.6.8-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/alexandria-0.6.8-9.fc18

[...]

--- Additional comment from pcfe@redhat.com on 2012-10-18 19:10:29 EDT ---

(In reply to comment #8)
> Well, parsing such yaml files beforehand and fixing them (as much as
> possible) seems rather complicated, so for now I decided to mark such yaml
> "broken" and let user re-download the information of such books (alexandria
> does this almost automatically). Will submit -9.

Thank you very much for the update.

auto-karma was faster than me, so not submitting karma as it's pointless after the update was pushed.

Very much appreciate the attempt to re-download info for the broken books. Would even have been happy with just a discard option in the dialog offering to re-download or not (3 out of 200+ were broken in my collection).

I did end up adding the 3 affected books by hand after deleting the corresponding yaml file (while the providers were searched the books were not found.) no big hassle.

[...]

--- Additional comment from pcfe@redhat.com on 2012-10-22 11:08:21 EDT ---

(In reply to comment #15)
> (In reply to comment #14)
[...]
> > Very much appreciate the attempt to re-download info for the broken books.
> > Would even have been happy with just a discard option in the dialog offering
> > to re-download or not (3 out of 200+ were broken in my collection).

[...]

> Or maybe you mean something else?

I meant a third button 'delete broken files' but that is just a nice to have. The current bugfix is enough to close this bug.

Thanks again for the speedy fix. Alexandria is very very useful to keep track of whom I lend which book and to make sure I do not buy books twice.

--- Additional comment from mtasaka@fedoraproject.org on 2012-10-22 22:33:05 EDT ---

[...]

Well, looking at alexandria code, I guess if you can accept the following behavior, modifying so is perhaps easy:

* On first dialog, alexandria asks if you want to re-download the broken book yamls or not re-download them.
* When you reply as "not re-download them", then second dialog pop up and alexandria asks if you want to delete the broken yamls or not.

i.e. not showing 3 buttons (re-download, delete, or cancel) on popup dialog but showing 2 popops sequentially is easy (on current alexandria code). Showing 3 buttons needs some large code change and this needs discuss with the upstream.

--- Additional comment from pcfe@redhat.com on 2012-10-23 05:47:02 EDT ---

(In reply to comment #17)
[...]
> * On first dialog, alexandria asks if you want to re-download the broken
> book yamls or not re-download them.
> * When you reply as "not re-download them", then second dialog pop up and
> alexandria asks if you want to delete the broken yamls or not.

This sounds like a good solution.
As far as I am concerned, I suggest to close this bug (my originally reported problem is fixed) and then discuss with upstream about deletions of broken yaml files. (I am not really bothered if there are two consecutive dialogs or one dialog with 3 buttons).

If you agree with closing, please tell and I'll open a separate FEATure request for the broken yaml deletion. (I personally do not like more than one problem per Bugzilla entry ;-)

--- Additional comment from mtasaka@fedoraproject.org on 2012-10-23 08:47:31 EDT ---

Okay, while I will discuss with the upstream anyway, I think I can add additional (second) popup dialog to ask if user wants to delete broken yaml file. For this RFE, please open a new bug (using "Clone This Bug" shown below is useful).

Closing this bug. Anyway thank you for reporting.
Comment 1 Mamoru TASAKA 2012-10-24 11:23:25 EDT
Modified and tested on my local machine.
Comment 2 Fedora Update System 2012-10-26 15:41:14 EDT
alexandria-0.6.9-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/alexandria-0.6.9-2.fc18
Comment 3 Fedora Update System 2012-10-26 15:41:46 EDT
alexandria-0.6.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/alexandria-0.6.9-2.fc17
Comment 4 Fedora Update System 2012-10-27 21:00:21 EDT
Package alexandria-0.6.9-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alexandria-0.6.9-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17056/alexandria-0.6.9-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-11-08 00:35:18 EST
alexandria-0.6.9-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Mamoru TASAKA 2012-11-08 21:13:26 EST
All pushed, closing. Thank you for reporting.

Note You need to log in before you can comment on or make changes to this bug.